Package org.lwjgl.opengles

# Class OESFramebufferObject

java.lang.Object
org.lwjgl.opengles.OESFramebufferObject

public final class OESFramebufferObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_ATTACHMENT0_OES`
Accepted by the <attachment> parameter of FramebufferTexture{2D|3D}OES, FramebufferRenderbufferOES, and GetFramebufferAttachmentParameterivOES
`static final int`
`GL_DEPTH_ATTACHMENT_OES`
Accepted by the <attachment> parameter of FramebufferTexture{2D|3D}OES, FramebufferRenderbufferOES, and GetFramebufferAttachmentParameterivOES
`static final int`
`GL_DEPTH_COMPONENT16_OES`
Accepted by the <internalformat> parameter of RenderbufferStorageOES:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_OES`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_OES`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_OES`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_OES`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:
`static final int`
`GL_FRAMEBUFFER_BINDING_OES`
Accepted by GetIntegerv():
`static final int`
`GL_FRAMEBUFFER_COMPLETE_OES`
Returned by CheckFramebufferStatusOES():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_OES`
Returned by CheckFramebufferStatusOES():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_OES`
Returned by CheckFramebufferStatusOES():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_OES`
Returned by CheckFramebufferStatusOES():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_FORMATS_OES`
Returned by CheckFramebufferStatusOES():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_OES`
Returned by CheckFramebufferStatusOES():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_OES`
Returned by CheckFramebufferStatusOES():
`static final int`
`GL_FRAMEBUFFER_OES`
Accepted by the <target> parameter of BindFramebufferOES, CheckFramebufferStatusOES, FramebufferTexture{2D|3D}OES, FramebufferRenderbufferOES, and GetFramebufferAttachmentParameterivOES:
`static final int`
`GL_FRAMEBUFFER_UNSUPPORTED_OES`
Returned by CheckFramebufferStatusOES():
`static final int`
`GL_INVALID_FRAMEBUFFER_OPERATION_OES`
Returned by GetError():
`static final int`
`GL_MAX_RENDERBUFFER_SIZE_OES`
Accepted by GetIntegerv():
`static final int`
`GL_NONE_OES`
Returned by GetFramebufferAttachmentParameterivOES when the <pname> parameter is FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_OES:
`static final int`
`GL_RENDERBUFFER_ALPHA_SIZE_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RENDERBUFFER_BINDING_OES`
Accepted by GetIntegerv():
`static final int`
`GL_RENDERBUFFER_BLUE_SIZE_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RENDERBUFFER_DEPTH_SIZE_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RENDERBUFFER_GREEN_SIZE_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RENDERBUFFER_HEIGHT_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RENDERBUFFER_INTERNAL_FORMAT_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RENDERBUFFER_OES`
Accepted by the <target> parameter of BindRenderbufferOES, RenderbufferStorageOES, and GetRenderbufferParameterivOES, and returned by GetFramebufferAttachmentParameterivOES:
`static final int`
`GL_RENDERBUFFER_RED_SIZE_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RENDERBUFFER_STENCIL_SIZE_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RENDERBUFFER_WIDTH_OES`
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:
`static final int`
`GL_RGB5_A1_OES`
Accepted by the <internalformat> parameter of RenderbufferStorageOES:
`static final int`
`GL_RGB565_OES`
Accepted by the <internalformat> parameter of RenderbufferStorageOES:
`static final int`
`GL_RGBA4_OES`
Accepted by the <internalformat> parameter of RenderbufferStorageOES:
`static final int`
`GL_STENCIL_ATTACHMENT_OES`
Accepted by the <attachment> parameter of FramebufferTexture{2D|3D}OES, FramebufferRenderbufferOES, and GetFramebufferAttachmentParameterivOES
`static final int`
`GL_STENCIL_INDEX1_OES`
Accepted by the <internalformat> parameter of RenderbufferStorageOES:
`static final int`
`GL_STENCIL_INDEX4_OES`
Accepted by the <internalformat> parameter of RenderbufferStorageOES:
`static final int`
`GL_STENCIL_INDEX8_OES`
Accepted by the <internalformat> parameter of RenderbufferStorageOES:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindFramebufferOES(int target, int framebuffer)`
`static void`
`glBindRenderbufferOES(int target, int renderbuffer)`
`static int`
`glCheckFramebufferStatusOES(int target)`
`static void`
`glDeleteFramebuffersOES(int framebuffer)`
Overloads glDeleteFramebuffersOES.
`static void`
`glDeleteFramebuffersOES(IntBuffer framebuffers)`
`static void`
`glDeleteRenderbuffersOES(int renderbuffer)`
Overloads glDeleteRenderbuffersOES.
`static void`
`glDeleteRenderbuffersOES(IntBuffer renderbuffers)`
`static void`
`glFramebufferRenderbufferOES(int target, int attachment, int renderbuffertarget, int renderbuffer)`
`static void`
`glFramebufferTexture2DOES(int target, int attachment, int textarget, int texture, int level)`
`static void`
`glGenerateMipmapOES(int target)`
`static int`
`glGenFramebuffersOES()`
Overloads glGenFramebuffersOES.
`static void`
`glGenFramebuffersOES(IntBuffer framebuffers)`
`static int`
`glGenRenderbuffersOES()`
Overloads glGenRenderbuffersOES.
`static void`
`glGenRenderbuffersOES(IntBuffer renderbuffers)`
`static int`
`glGetFramebufferAttachmentParameteriOES(int target, int attachment, int pname)`
Overloads glGetFramebufferAttachmentParameterivOES.
`static int`
`glGetFramebufferAttachmentParameterOES(int target, int attachment, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetFramebufferAttachmentParameterOES(int target, int attachment, int pname, IntBuffer params)`
`static int`
`glGetRenderbufferParameteriOES(int target, int pname)`
Overloads glGetRenderbufferParameterivOES.
`static int`
`glGetRenderbufferParameterOES(int target, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetRenderbufferParameterOES(int target, int pname, IntBuffer params)`
`static boolean`
`glIsFramebufferOES(int framebuffer)`
`static boolean`
`glIsRenderbufferOES(int renderbuffer)`
`static void`
`glRenderbufferStorageOES(int target, int internalformat, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FRAMEBUFFER_OES

public static final int GL_FRAMEBUFFER_OES
Accepted by the <target> parameter of BindFramebufferOES, CheckFramebufferStatusOES, FramebufferTexture{2D|3D}OES, FramebufferRenderbufferOES, and GetFramebufferAttachmentParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_OES

public static final int GL_RENDERBUFFER_OES
Accepted by the <target> parameter of BindRenderbufferOES, RenderbufferStorageOES, and GetRenderbufferParameterivOES, and returned by GetFramebufferAttachmentParameterivOES:

See Also:
  - Constant Field Values

### GL_DEPTH_COMPONENT16_OES

public static final int GL_DEPTH_COMPONENT16_OES
Accepted by the <internalformat> parameter of RenderbufferStorageOES:

See Also:
  - Constant Field Values

### GL_RGBA4_OES

public static final int GL_RGBA4_OES
Accepted by the <internalformat> parameter of RenderbufferStorageOES:

See Also:
  - Constant Field Values

### GL_RGB5_A1_OES

public static final int GL_RGB5_A1_OES
Accepted by the <internalformat> parameter of RenderbufferStorageOES:

See Also:
  - Constant Field Values

### GL_RGB565_OES

public static final int GL_RGB565_OES
Accepted by the <internalformat> parameter of RenderbufferStorageOES:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX1_OES

public static final int GL_STENCIL_INDEX1_OES
Accepted by the <internalformat> parameter of RenderbufferStorageOES:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX4_OES

public static final int GL_STENCIL_INDEX4_OES
Accepted by the <internalformat> parameter of RenderbufferStorageOES:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX8_OES

public static final int GL_STENCIL_INDEX8_OES
Accepted by the <internalformat> parameter of RenderbufferStorageOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_WIDTH_OES

public static final int GL_RENDERBUFFER_WIDTH_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_HEIGHT_OES

public static final int GL_RENDERBUFFER_HEIGHT_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_INTERNAL_FORMAT_OES

public static final int GL_RENDERBUFFER_INTERNAL_FORMAT_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_RED_SIZE_OES

public static final int GL_RENDERBUFFER_RED_SIZE_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_GREEN_SIZE_OES

public static final int GL_RENDERBUFFER_GREEN_SIZE_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BLUE_SIZE_OES

public static final int GL_RENDERBUFFER_BLUE_SIZE_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_ALPHA_SIZE_OES

public static final int GL_RENDERBUFFER_ALPHA_SIZE_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_DEPTH_SIZE_OES

public static final int GL_RENDERBUFFER_DEPTH_SIZE_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_STENCIL_SIZE_OES

public static final int GL_RENDERBUFFER_STENCIL_SIZE_OES
Accepted by the <pname> parameter of GetRenderbufferParameterivOES:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_OES

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_OES
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_OES

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME_OES
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_OES

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL_OES
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_OES

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE_OES
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES
Accepted by the <pname> parameter of GetFramebufferAttachmentParameterivOES:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT0_OES

public static final int GL_COLOR_ATTACHMENT0_OES
Accepted by the <attachment> parameter of FramebufferTexture{2D|3D}OES, FramebufferRenderbufferOES, and GetFramebufferAttachmentParameterivOES

See Also:
  - Constant Field Values

### GL_DEPTH_ATTACHMENT_OES

public static final int GL_DEPTH_ATTACHMENT_OES
Accepted by the <attachment> parameter of FramebufferTexture{2D|3D}OES, FramebufferRenderbufferOES, and GetFramebufferAttachmentParameterivOES

See Also:
  - Constant Field Values

### GL_STENCIL_ATTACHMENT_OES

public static final int GL_STENCIL_ATTACHMENT_OES
Accepted by the <attachment> parameter of FramebufferTexture{2D|3D}OES, FramebufferRenderbufferOES, and GetFramebufferAttachmentParameterivOES

See Also:
  - Constant Field Values

### GL_NONE_OES

public static final int GL_NONE_OES
Returned by GetFramebufferAttachmentParameterivOES when the <pname> parameter is FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE_OES:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_COMPLETE_OES

public static final int GL_FRAMEBUFFER_COMPLETE_OES
Returned by CheckFramebufferStatusOES():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_OES

public static final int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT_OES
Returned by CheckFramebufferStatusOES():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_OES

public static final int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT_OES
Returned by CheckFramebufferStatusOES():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_OES

public static final int GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS_OES
Returned by CheckFramebufferStatusOES():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_FORMATS_OES

public static final int GL_FRAMEBUFFER_INCOMPLETE_FORMATS_OES
Returned by CheckFramebufferStatusOES():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_OES

public static final int GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_OES
Returned by CheckFramebufferStatusOES():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_OES

public static final int GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_OES
Returned by CheckFramebufferStatusOES():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_UNSUPPORTED_OES

public static final int GL_FRAMEBUFFER_UNSUPPORTED_OES
Returned by CheckFramebufferStatusOES():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BINDING_OES

public static final int GL_FRAMEBUFFER_BINDING_OES
Accepted by GetIntegerv():

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BINDING_OES

public static final int GL_RENDERBUFFER_BINDING_OES
Accepted by GetIntegerv():

See Also:
  - Constant Field Values

### GL_MAX_RENDERBUFFER_SIZE_OES

public static final int GL_MAX_RENDERBUFFER_SIZE_OES
Accepted by GetIntegerv():

See Also:
  - Constant Field Values

### GL_INVALID_FRAMEBUFFER_OPERATION_OES

public static final int GL_INVALID_FRAMEBUFFER_OPERATION_OES
Returned by GetError():

See Also:
  - Constant Field Values

## Method Details

### glIsRenderbufferOES

public static boolean glIsRenderbufferOES(int renderbuffer)

### glBindRenderbufferOES

public static void glBindRenderbufferOES(int target, int renderbuffer)

### glDeleteRenderbuffersOES

public static void glDeleteRenderbuffersOES(IntBuffer renderbuffers)

### glDeleteRenderbuffersOES

public static void glDeleteRenderbuffersOES(int renderbuffer)
Overloads glDeleteRenderbuffersOES.

### glGenRenderbuffersOES

public static void glGenRenderbuffersOES(IntBuffer renderbuffers)

### glGenRenderbuffersOES

public static int glGenRenderbuffersOES()
Overloads glGenRenderbuffersOES.

### glRenderbufferStorageOES

public static void glRenderbufferStorageOES(int target, int internalformat, int width, int height)

### glGetRenderbufferParameterOES

public static void glGetRenderbufferParameterOES(int target, int pname, IntBuffer params)

### glGetRenderbufferParameterOES

@Deprecated public static int glGetRenderbufferParameterOES(int target, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetRenderbufferParameteriOES(int, int)` instead.
Overloads glGetRenderbufferParameterivOES.

### glGetRenderbufferParameteriOES

public static int glGetRenderbufferParameteriOES(int target, int pname)
Overloads glGetRenderbufferParameterivOES.

### glIsFramebufferOES

public static boolean glIsFramebufferOES(int framebuffer)

### glBindFramebufferOES

public static void glBindFramebufferOES(int target, int framebuffer)

### glDeleteFramebuffersOES

public static void glDeleteFramebuffersOES(IntBuffer framebuffers)

### glDeleteFramebuffersOES

public static void glDeleteFramebuffersOES(int framebuffer)
Overloads glDeleteFramebuffersOES.

### glGenFramebuffersOES

public static void glGenFramebuffersOES(IntBuffer framebuffers)

### glGenFramebuffersOES

public static int glGenFramebuffersOES()
Overloads glGenFramebuffersOES.

### glCheckFramebufferStatusOES

public static int glCheckFramebufferStatusOES(int target)

### glFramebufferTexture2DOES

public static void glFramebufferTexture2DOES(int target, int attachment, int textarget, int texture, int level)

### glFramebufferRenderbufferOES

public static void glFramebufferRenderbufferOES(int target, int attachment, int renderbuffertarget, int renderbuffer)

### glGetFramebufferAttachmentParameterOES

public static void glGetFramebufferAttachmentParameterOES(int target, int attachment, int pname, IntBuffer params)

### glGetFramebufferAttachmentParameterOES

@Deprecated public static int glGetFramebufferAttachmentParameterOES(int target, int attachment, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetFramebufferAttachmentParameteriOES(int, int, int)` instead.
Overloads glGetFramebufferAttachmentParameterivOES.

### glGetFramebufferAttachmentParameteriOES

public static int glGetFramebufferAttachmentParameteriOES(int target, int attachment, int pname)
Overloads glGetFramebufferAttachmentParameterivOES.

### glGenerateMipmapOES

public static void glGenerateMipmapOES(int target)